# Gimp.ParamSpecColor.from_string

    @accepts(unicode, unicode, unicode, bool, unicode, GObject.ParamFlags)
    @returns(GObject.ParamSpec)
    def from_string(name, nick, blurb, has_alpha, default_color_string, flags):
        # Python wrapper for gimp_param_spec_color_from_string()

Creates a new GObject.ParamSpec instance specifying a Gegl.Color property.

name

  canonical name of the property specified

nick

  nick name for the property specified

blurb

  description of the property specified

has_alpha

  True if the alpha channel has relevance.

default_color_string

  the default value for the property specified

flags

  flags for the property specified

Returns